%define upstream_name    Object-ID
%define upstream_version v0.1.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Supply a unique object identifier to every object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Hash::FieldHash) >= 0.100.0
BuildRequires: perl(Module::Build) >= 0.340.201
BuildRequires: perl(Sub::Name) >= 0.30.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(version) >= 0.770.0
BuildArch:  noarch

%description
This is a unique identifier for any object, regardless of its type,
structure or contents. Its features are:

    * Works on ANY object of any type
    * Does not modify the object in any way
    * Does not change with the object's contents
    * Is O(1) to calculate (ie. doesn't matter how big the object is)
    * The id is unique for the life of the process
    * The id is always a true value

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.1.2-3.mga4
+ Revision: 513720
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.2-2.mga3
+ Revision: 371095
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 12 2011 kharec <kharec> 0.1.2-1.mga2
+ Revision: 166953
- update to v0.1.2

* Thu Jun 30 2011 jquelin <jquelin> 0.1.1-1.mga2
+ Revision: 116792
- imported package perl-Object-ID


* Thu Jun 30 2011 cpan2dist v0.1.1-1mga
- initial mageia release, generated with cpan2dist
